Configure SQS Notifications for a device​
GET
/devices/{id}/setupSqsForwarding
Configure SQS Notifications for a device.
There is a full guide written for this endpoint.
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
device id
Type
Requirednumber
Example
1234Format
"integer"Query Parameters
sqsArn
Type
string
Example
"arn:aws:sqs:us-east-1:123456789012:my-queue"types
Type
array
Format
"list"